%define ALD_Ver		2.0

Name:         ca-certificates

License:      MPL
Summary:      mozilla Certificates
Group:        Applications/System
Version:      2.72
Release:      0

Source: %{name}-%{version}.tar.xz

#certdata.txt:
#curl https://hg.mozilla.org/releases/mozilla-release/raw-file/default/security/nss/lib/ckfw/builtins/nssckbi.h -o /tmp/nssckbi.h
#nssckbi.h:
#curl https://hg.mozilla.org/releases/mozilla-release/raw-file/default/security/nss/lib/ckfw/builtins/certdata.txt -o /tmp/certdata.txt

BuildArchitectures: noarch

%define DestDir		/net
# -----------------------------------------------------

%define auto_local %{_sourcedir}/AUTO_LOCAL-1.sh
%define have_auto_local %(if test -x %{auto_local} ; then echo 1 ; else echo 0 ; fi)
%define __os_install_post %{nil}

#------------------ CROSS DIR --------------------

%define docdir		%{_defaultdocdir}/%{name}

# ------------------- description ------------------------------------
%description
mozilla Certificates

# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{name}-%{version}

# ------------------- Build ------------------------------------------
%Build
python certdata2pem.py >FMake_log.txt

# ------------------- Install ----------------------------------------
%Install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ssl/tmp/mozilla
mkdir -p $RPM_BUILD_ROOT%{docdir}

cp -a README $RPM_BUILD_ROOT%{docdir}/
cp -a *.crt $RPM_BUILD_ROOT%{_sysconfdir}/ssl/tmp/mozilla/

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu}
%endif  # have_auto_local

# ------------------- Clean ------------------------------------------
%Clean 
%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-ALD_Ver=%{ALD_Ver} -RpmMovePath=%{DestDir} -tar_arg=bzip2
%endif  # have_auto_local

%posttrans
if test -x %{_sbindir}/update-ca-certificates ; then
  %{_sbindir}/update-ca-certificates
fi

%postun
if test "$1" = "0" ; then
if test -x %{_sbindir}/update-ca-certificates ; then
  %{_sbindir}/update-ca-certificates
fi
fi

# ------------------- Files ------------------------------------------
%files
%defattr(-, root, root)
%{_sysconfdir}
%{docdir}

